Initiate Organization Deletion - Cognigy Documentation
Initiate Organization Deletion
API Reference
Request
POST /v2.0/organisations/requestdeletion
Example cURL Command
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/organisations/requestdeletion \
--header 'X-API-Key: <api-key>'
Python Example
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/organisations/requestdeletion"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript Example (Fetch API)
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/organisations/requestdeletion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/organisations/requestdeletion",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "POST",\
CURLOPT_HTTPHEADER => [\
"X-API-Key: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/organisations/requestdeletion"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Java Example (Unirest)
HttpResponse<String> response = Unirest.post("https://api-trial.cognigy.ai/new/v2.0/organisations/requestdeletion")
.header("X-API-Key", "<api-key>")
.asString();
Ruby Example
require 'uri'
require 'net/http'
url = URI("https://api-trial.cognigy.ai/new/v2.0/organisations/requestdeletion")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body
Possible Response Codes
- 400 Bad Request
- 401 Unauthorized
- 402 Payment Required
- 403 Forbidden
- 404 Not Found
- 405 Method Not Allowed
- 409 Conflict
- 413 Payload Too Large
- 500 Internal Server Error
- 501 Not Implemented
- 502 Bad Gateway
- 503 Service Unavailable
- 504 Gateway Timeout
Response Example
Status 400: Bad Request
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
Headers
| Header | Type | Description |
|---|---|---|
| X-API-Key | string | Supply the API Key in the HTTP-Header |
| Accept | enum | The Accept header specifies the media type. |
Accept Header Options
application/jsonapplication/hal+jsonapplication/xmltext/xmltext/csv